Kodi Community Forum

Full Version: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
You may take any of the 'desktop'-versions of ubuntu that comes with a x11 environment (i.e. the graphical stuff which is not shipped with the server editions). It has not to be the original ubuntu, as this ships with a pretty fat desktop environment (gnome). The xubuntu is quite small and fast. Or take mythbuntu if you want to use a tv-card too. Just have a look at this list.

The setup is pretty easy and after installing the main system, you add the repositories from the first post of this thread to the system to install XBMC.

That's it.
Good luck and have fun! Big Grin
It seems SVN PPA is failing. I am also failing to compile SVN atm.

https://edge.launchpad.net/~team-xbmc-sv...ld/1028506
sandos Wrote:It seems SVN PPA is failing. I am also failing to compile SVN atm.

https://edge.launchpad.net/~team-xbmc-sv...ld/1028506

I had troubles with goom on a previous version, but r20445 works fine for me. IMO, goom should be completely removed since it's crap and nobody uses it. At least let me disable it.
So when I do apt-get update and then do apt-get upgrade and nothing is updated it's because there were build failures?

There is an indicator on the page: https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa/

Which has a red X next to each of the builds and mouse over states "There were build failures."
wattazoum Wrote:There is no LPIA build because XBMC depends on some packages that are not available on this platform. I don't remember which though Undecided.

mine is working fine, you just need to disable vdpau support on the lpia arch, then compile as usual.
anybody maintaning the PPA for ubuntu jauntyHuh i've got SVN repository and i haven't got an update since 06/05, it says there are build failures, is there a guide at least on how to compile from source on Jaunty x64??
Yeah, Would love to see an update in the SVN to be able to use the new features in the mini-media skinSmile

thx

zeltak
COOL Big Grin
SVN 20670 is now up and running on https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa
Cimi Wrote:mine is working fine, you just need to disable vdpau support on the lpia arch, then compile as usual.

nvidia drivers with vdpau can build on lpia since it's compatible with x86, I modified a driver package and made it available there https://launchpad.net/~mirak-mirak/+arch...ter=jaunty
wondering if anyone here could help me out
I followed all the steps perfectly but when I run my symnatec package manager it doesn't find anything to do with xbmc can some1 help
Lokorr,
When you say you have followed all the directions I am assuming that you have added the repository and key to your system. If Synaptic says there are no packages related to XBMC, try the command line. Open a terminal and run these two commands:

sudo apt-get update
sudo apt-get install xbmc

That should install it assuming the PPA was setup properly.
Hi guys,

Latest svn (pre-9.10 r20844) lacks a dependency to libvorbisenc2.

Cheers.
Gurney Wrote:Hi guys,

Latest svn (pre-9.10 r20844) lacks a dependency to libvorbisenc2.

Cheers.

Working on it. The correct dependencies will be calculated differently in the future.
I followed the instructions and have added the source and key. I did a sudo aptitude update and waited then did a sudo aptitude install xbmc. It is telling me that there is no package with xbmc in the description. The only difference is I am running ubuntu 9.04 on a ps3 using the alternate cd. Any ideas or suggestions to help me get this working?


here is what i get when i do the update:
Code:
[email protected]:~$ sudo aptitude update
Hit http://ppa.launchpad.net jaunty Release.gpg                                                                            
Ign http://ppa.launchpad.net jaunty/main Translation-en_US                                                                
Hit http://archive.ubuntu.com jaunty Release.gpg                    
Hit http://archive.ubuntu.com jaunty-updates Release.gpg            
Hit http://ports.ubuntu.com jaunty Release.gpg                      
Ign http://ports.ubuntu.com jaunty/main Translation-en_US
Ign http://ports.ubuntu.com jaunty/restricted Translation-en_US
Hit http://ppa.launchpad.net jaunty Release    
Hit http://archive.ubuntu.com jaunty Release  
Ign http://ports.ubuntu.com jaunty/universe Translation-en_US                            
Ign http://ports.ubuntu.com jaunty/multiverse Translation-en_US                          
Hit http://ports.ubuntu.com jaunty-updates Release.gpg                                    
Ign http://ports.ubuntu.com jaunty-updates/main Translation-en_US                        
Ign http://ports.ubuntu.com jaunty-updates/restricted Translation-en_US                  
Ign http://ports.ubuntu.com jaunty-updates/universe Translation-en_US                    
Ign http://ports.ubuntu.com jaunty-updates/multiverse Translation-en_US                  
Hit http://ports.ubuntu.com jaunty-security Release.gpg            
Ign http://ports.ubuntu.com jaunty-security/main Translation-en_US                        
Ign http://ports.ubuntu.com jaunty-security/restricted Translation-en_US
Hit http://archive.ubuntu.com jaunty-updates Release                
Hit http://ppa.launchpad.net jaunty/main Packages                                        
Ign http://ports.ubuntu.com jaunty-security/universe Translation-en_US
Ign http://ports.ubuntu.com jaunty-security/multiverse Translation-en_US
Hit http://ports.ubuntu.com jaunty Release    
Hit http://ports.ubuntu.com jaunty-updates Release
Hit http://archive.ubuntu.com jaunty/main Sources                  
Hit http://archive.ubuntu.com jaunty/restricted Sources
Hit http://archive.ubuntu.com jaunty/universe Sources
Hit http://ports.ubuntu.com jaunty-security Release
Hit http://archive.ubuntu.com jaunty/multiverse Sources            
Hit http://archive.ubuntu.com jaunty-updates/main Sources          
Hit http://archive.ubuntu.com jaunty-updates/restricted Sources    
Hit http://archive.ubuntu.com jaunty-updates/universe Sources      
Hit http://ports.ubuntu.com jaunty/main Packages                    
Hit http://ports.ubuntu.com jaunty/restricted Packages
Hit http://archive.ubuntu.com jaunty-updates/multiverse Sources
Hit http://ports.ubuntu.com jaunty/universe Packages
Hit http://ports.ubuntu.com jaunty/multiverse Packages
Hit http://ports.ubuntu.com jaunty-updates/main Packages
Hit http://ports.ubuntu.com jaunty-updates/restricted Packages
Hit http://ports.ubuntu.com jaunty-updates/universe Packages
Hit http://ports.ubuntu.com jaunty-updates/multiverse Packages
Hit http://ports.ubuntu.com jaunty-security/main Packages
Hit http://ports.ubuntu.com jaunty-security/restricted Packages
Hit http://ports.ubuntu.com jaunty-security/main Sources
Hit http://ports.ubuntu.com jaunty-security/restricted Sources
Hit http://ports.ubuntu.com jaunty-security/universe Packages
Hit http://ports.ubuntu.com jaunty-security/universe Sources
Hit http://ports.ubuntu.com jaunty-security/multiverse Packages
Hit http://ports.ubuntu.com jaunty-security/multiverse Sources
Reading package lists... Done

[email protected]:~$ sudo aptitude install xbmc
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done
Couldn't find any package matching "xbmc".  However, the following
packages contain "xbmc" in their description:
  texlive-latex-extra
Couldn't find any package matching "xbmc".  However, the following
packages contain "xbmc" in their description:
  texlive-latex-extra
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done

[email protected]:~$
XBMC for linux DOES NOT work on PS3. A simple search would have brought this to your attention. Please do not continue further discussion on XBMC for PS3 in this thread. There are several others reading them should discourage you from inquiring further.